/*
 * Print Stylesheet
 * If the website contains a button that says  "Print this recipe",
 * then we're going to have to cater for the print styles
 */

* {
  background: transparent !important;
  color: black !important;
  text-shadow: none !important;
  filter: none !important;
  -ms-filter: none !important;
}

body{
  font-size: 12pt;
}

/* Black prints faster: h5bp.com/s */

a {
  text-decoration: underline;
  &:visited {
    text-decoration: underline;
  }
  &[href]:after {
    content: " (" attr(href) ")";
    font-size: 80%
  }
}

abbr[title]:after {
  content: " (" attr(title) ")";
}

.ir a:after {
  content: "";
}

a {
  &[href^="javascript:"]:after, &[href^="#"]:after {
    content: "";
  }
}

/* Don't show links for images, or javascript/internal links */

pre, code {
  border: 1px solid #999;
  page-break-inside: avoid;
}

blockquote{
	page-break-inside: avoid;
}

thead {
  display: table-header-group;
}

/* h5bp.com/t */

tr {
  page-break-inside: avoid;
}

img {
  page-break-inside: avoid;
  max-width: 100%;
}

@page {
  margin: 0.5cm;
}


p, h2, h3 {
  orphans: 3;
  widows: 3;
}

h2, h3 {
  page-break-after: avoid;
}

// Broken image

img {
  min-height: 50px;
  &:before {
    content: " ";
    display: block;
    position: absolute;
    top: -10px;
    left: 0;
    height: calc(100% + 10px);
    width: 100%;
    background-color: white;
    border: 2px dotted rgb(200, 200, 200);
    border-radius: 5px;
  }
  &:after {
    content: "\f127" " Broken Image of " attr(alt);
    display: block;
    font-size: 16px;
    font-style: normal;
    font-family: FontAwesome;
    color: rgb(100, 100, 100);
    position: absolute;
    top: 5px;
    left: 0;
    width: 100%;
    text-align: center;
  }
}